class Duc < Formula
  desc "Suite of tools for inspecting disk usage"
  homepage "https://github.com/zevv/duc"
  url "https://github.com/zevv/duc/releases/download/1.4.5/duc-1.4.5.tar.gz"
  sha256 "c69512ca85b443e42ffbb4026eedd5492307af612047afb9c469df923b468bfd"
  license "LGPL-3.0-only"
  head "https://github.com/zevv/duc.git", branch: "master"

  depends_on "pkg-config" => :build

  depends_on "cairo"
  depends_on "glfw"
  depends_on "glib"
  depends_on "pango"
  depends_on "tokyo-cabinet"

  uses_from_macos "ncurses"

  on_macos do
    depends_on "gettext"
    depends_on "harfbuzz"
  end

  def install
    system "./configure", "--disable-silent-rules",
                          "--disable-x11",
                          "--enable-opengl",
                          *std_configure_args
    system "make", "install"
  end

  test do
    db_file = testpath/"duc.db"
    touch db_file
    system "dd", "if=/dev/zero", "of=test", "count=1"
    system bin/"duc", "index", "-d", db_file, "."
    system bin/"duc", "graph", "-d", db_file, "-o", "duc.png"
    assert_predicate testpath/"duc.png", :exist?, "Failed to create duc.png!"
  end
end
